package orderedmap

import (
	"encoding/json"
	"testing"
)

func TestNew(t *testing.T) {
	o := New()
	str := `{"333":"333","222":"222","111":"111"}`
	if err := json.Unmarshal([]byte(str), &o); err != nil {
		t.Error(err)
		return
	}
	for _, key := range o.Keys() {
		t.Log(key)
	}
}
